<script>
import store from "@/store"
export default {
  name: 'TopNavbar',
  props: {
  },
  data () {
    return {
        dropdowns : [false,false],
        userName: store.state.userName,
    }
  },
  methods: {
    togleDropdown(key){
        for (let i = 0; i < this.dropdowns.length; i++) {  
            this.dropdowns[i] = i!==key ? false : this.dropdowns[key]
        }
        setTimeout(() => {
            this.dropdowns[key] = !this.dropdowns[key]
        },300)
    },
    doSignOut(){
        localStorage.clear()
        location.reload()
    }
  }
}
</script>
<template>
    <div class="iq-top-navbar">
        <div class="iq-navbar-custom">
            <nav class="navbar navbar-expand-lg navbar-light p-0">
                <div class="iq-navbar-logo d-flex align-items-center justify-content-between">
                    <i class="ri-menu-line wrapper-menu"></i>
                    <a href="/" class="header-logo" >
                        <img src="../assets/images/logo.png" class="img-fluid rounded-normal" alt="logo">
                        <h5 class="logo-title ml-3">Kulakan Jeddah</h5>
                    </a>
                </div>
                <div class="iq-search-bar device-search">
                    <form action="#" class="searchbox">
                        <a class="search-link" href="#"><i class="ri-search-line"></i></a>
                        <input type="text" class="text search-input" placeholder="Search here...">
                    </form>
                </div>
                <div class="d-flex align-items-center">
                    <button class="navbar-toggler" type="button" data-toggle="collapse"
                        data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                        aria-label="Toggle navigation">
                        <i class="ri-menu-3-line"></i>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarSupportedContent">
                        <ul class="navbar-nav ml-auto navbar-list align-items-center">
                            <li class="nav-item nav-icon dropdown">
                                <a href="#" class="search-toggle dropdown-toggle btn border add-btn" @click="togleDropdown(0)">
                                    <img src="../assets/images/small/flag-01.png" alt="img-flag"
                                        class="img-fluid image-flag mr-2">En
                                </a>
                                <div class="iq-sub-dropdown dropdown-menu" :class="{show : dropdowns[0]}">
                                    <div class="card shadow-none m-0">
                                        <div class="card-body p-3">
                                            <a class="iq-sub-card" href="#"><img
                                                    src="../assets/images/small/flag-02.png" alt="img-flag"
                                                    class="img-fluid mr-2">French</a>
                                            <a class="iq-sub-card" href="#"><img
                                                    src="../assets/images/small/flag-03.png" alt="img-flag"
                                                    class="img-fluid mr-2">Spanish</a>
                                            <a class="iq-sub-card" href="#"><img
                                                    src="../assets/images/small/flag-04.png" alt="img-flag"
                                                    class="img-fluid mr-2">Italian</a>
                                            <a class="iq-sub-card" href="#"><img
                                                    src="../assets/images/small/flag-05.png" alt="img-flag"
                                                    class="img-fluid mr-2">German</a>
                                            <a class="iq-sub-card" href="#"><img
                                                    src="../assets/images/small/flag-06.png" alt="img-flag"
                                                    class="img-fluid mr-2">Japanese</a>
                                        </div>
                                    </div>
                                </div>
                            </li>
                            <li class="nav-item nav-icon search-content">
                                <a href="#" class="search-toggle rounded">
                                    <i class="ri-search-line"></i>
                                </a>
                                <div class="iq-search-bar iq-sub-dropdown dropdown-menu">
                                    <form action="#" class="searchbox p-2">
                                        <div class="form-group mb-0 position-relative">
                                            <input type="text" class="text search-input font-size-12"
                                                placeholder="type here to search...">
                                            <a href="#" class="search-link"><i class="las la-search"></i></a>
                                        </div>
                                    </form>
                                </div>
                            </li>
                            <li class="nav-item nav-icon dropdown caption-content">
                                <a href="#" class="search-toggle dropdown-toggle" @click="togleDropdown(1)"
                                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <img src="../assets/images/user/1.png" class="img-fluid rounded" alt="user">
                                </a>
                                <div class="iq-sub-dropdown dropdown-menu" :class="{show : dropdowns[1]}">
                                    <div class="card shadow-none m-0">
                                        <div class="card-body p-0 text-center">
                                            <div class="media-body profile-detail text-center">
                                                <img src="../assets/images/page-img/profile-bg.jpg" alt="profile-bg"
                                                    class="rounded-top img-fluid mb-4">
                                                <img src="../assets/images/user/1.png" alt="profile-img"
                                                    class="rounded profile-img img-fluid avatar-70">
                                            </div>
                                            <div class="p-3">
                                                <h5 class="mb-1">{{userName}}</h5>
                                                <p class="mb-0">Since 10 march, 2020</p>
                                                <div class="d-flex align-items-center justify-content-center mt-3">
                                                    <a href="#profile" class="btn border mr-2">Profile</a>
                                                    <a href="#sign-out" class="btn border" @click="doSignOut" >Sign Out</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
            </nav>
        </div>
    </div>
</template>